lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'version'

Gem::Specification.new do |s|
  s.name        = 'zksync'
  s.version     = ZKSync::VERSION
  s.date        = '2017-05-16'
  s.summary     = "Zero-knowledge file storage and synchronization"
  s.description = "A utility for making zero-knowledge storage of sensitive data easy and rsync-friendly."
  s.authors     = ["Jonas Acres"]
  s.email       = 'opensourcejonas@gmail.com'
  s.homepage    = 'http://github.com/jonasacres/zksync'
  s.license     = 'GPLv2'

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|s|features)/})
  s.require_paths = ["lib"]

  s.add_runtime_dependency 'trollop', "~> 2.0"
end
